EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Refinar livros serve para colocar um pouco mais de perfeição nos seus preciosos livros digitais. O refinamento tenta minimizar as alterações no código interno do seu livro digital. Ao contrario da conversão, não faz grandes alterações tais como achatar CSS, renomear ficheiros, alterar o tamanho da letra, ajustar as margens, etc. Cada ação realizada faz apenas o conjunto mínimo das alterações necessárias para o efeito desejado. Deve usar esta ferramenta como o passo final no processo de criação de livros digitais.

Note que o refinamento só funciona em livros nos formatos AZW3 ou EPUB.

Sempre que passar argumentos para o ebook-polish que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--add-soft-hyphens, -H
    Add soft hyphens to all words in the book. This allows the book to be rendered better when the text is justified, in readers that do not support hyphenation.

--compress-images, -i
    Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

--cover, -c
    Caminho para a imagem de capa. Altera a capa especificada no livro digital. Se a capa não estiver presente ou não estiver identificada corretamente, será inserida uma nova capa.

--embed-fonts, -e
    Incorporar todas as fontes que são referidas no documento e ainda não estejam incorporadas. Isto irá procurar no seu computador as fontes e, desde que sejam encontradas, vão ser incorporadas no documento. Por favor, garanta que tem a licença adequada para incorporar as fontes utilizadas neste documento.

--help, -h
    mostrar esta mensagem de ajuda e sair

--jacket, -j
    Insere uma página de "sobrecapa" no inicio do livro que apresenta todos os metadados como o título, etiquetas, autor, sréies, comentários, etc. Qualquer sobrecapa anterior será substituída.

--opf, -o
    Localização do ficheiro OPF. Os metadados do livro são atualizados a partir do ficheiro OPF.

--remove-jacket
    Remover a sobrecapa inserida anteriormente.

--remove-soft-hyphens
    Remove soft hyphens from all text in the book.

--remove-unused-css, -u
    Remover todas as regras CSS de folhas de estilo e etiquetas de <estilo> não utilizadas. Alguns livros, criados a partir de temas de produção, podem ter um grande número de regras CSS extra que não correspondem a qualquer conteúdo atual. Estas regras extra podem tornar mais lentos os dispositivos leitores que terão de as analisar todas.

--smarten-punctuation, -p
    Converter traços de texto, reticências, aspas, hífenes múltiplos, etc, nos seus equivalentes tipograficamente corretos. Note que o algoritmo poderá, por vezes, produzir resultados incorretos, especialmente quando estejam envolvidas aspas simples no começo das contrações.

--subset-fonts, -f
    Segmentar fontes significa reduzir uma fonte incorporada para conter apenas os caracteres utilizados desta fonte no livro. Isto reduz consideravelmente o tamanho dos ficheiros de fontes (pode reduzir o tamanho do ficheiro da fonte para metade). Por exemplo, se o livro usa uma fonte específica para os cabeçalhos, então o segmentar fontes irá reduzir esse tipo de fonte para conter apenas os caracteres presentes nos cabeçalhos atuais no livro. Ou, se o livro incorpora as versões em negrito e itálico de uma fonte, mas o texto em negrito e itálico é relativamente raro, ou mesmo ausente, então as fontes em negrito e itálico podem ser reduzidas para apenas alguns caracteres ou completamente removidas. A única desvantagem para o segmentação de fontes é que se, um dia mais tarde decidir adicionar mais texto aos seus livros, o texto recém-adicionado pode não ser abrangido pela fonte do subconjunto.

--upgrade-book, -U
    Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

--verbose
    Produz saída de dados mais detalhada, útil para a depuração.

--version
    mostrar o número da versão do programa e sair

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal